Skip to content

스킬 조회 Tier 4

GET/api/skills/:idCopied!

스킬 메타데이터와 버전 요약을 반환합니다.

Pro 플랜 필요

Skill Registry는 Pro 플랜 이상부터 사용할 수 있습니다.

예시

ts
const skill = await client.skills.get("SK1234567890ABCD");
bash
youvico skill get --id SK1234567890ABCD
bash
curl 'https://api.youvico.com/api/skills/SK1234567890ABCD' \
  -H 'Authorization: Bearer YOUR_API_KEY'
json
{
  "data": {
    "id": "SK1234567890ABCD",
    "source": "WORKSPACE",
    "name": "Review Helper",
    "description": "Summarizes review context.",
    "metadata": { "category": "review" },
    "allowedTools": ["browser"],
    "license": "MIT",
    "default": { "id": "SV1234567890ABCD" },
    "versions": [
      {
        "id": "SV1234567890ABCD",
        "version": 1,
        "note": "Initial public draft",
        "createdAt": "2026-05-28T09:00:00.000Z"
      }
    ]
  }
}

요청

경로

idstringrequired
스킬 ID

응답

200 OK를 반환합니다.

dataobject
스킬
data.idstring
스킬 ID

Example: SK1234567890ABCD

data.sourcestring
스킬 소스

Possible values: WORKSPACEYOUVICO_MANAGED

Example: WORKSPACE

data.namestring
스킬 이름

Example: Review Helper

data.descriptionstring
스킬 설명

Example: Summarizes review context.

data.metadataRecord<string, string>?
문자열 메타데이터
data.allowedToolsstring[]?
허용된 도구 식별자
data.licensestring?
스킬 라이선스

Example: MIT

data.defaultobject?
기본 버전
data.default.idstring
기본 스킬 버전 ID

Example: SV1234567890ABCD

data.versionsarray
배포된 버전 목록
data.versions[].idstring
스킬 버전 ID

Example: SV1234567890ABCD

data.versions[].versionnumber
버전 번호

Example: 1

data.versions[].notestring?
버전 메모

Example: Initial public draft

data.versions[].createdAtstring
버전 생성 시각

Example: 2026-05-28T09:00:00.000Z